@ECHO OFF
CLS
ECHO This batch file will patch the SVGAPB graphics library to the current
ECHO    release, version 2.5. See the file "README.NOW" for complete
ECHO    patch instructions as well as a list of the bugs fixed.
ECHO.   
ECHO It should *ONLY* be applied to the following versions:
ECHO    (registered versions of SVGAPB) - v2.3c, v2.3d, v2.3e, v2.4 & v2.4a
ECHO    (shareware versions of SVGAPB) - None. Download SVGAPB25.ZIP
ECHO.
ECHO If you have *ANY* other version, *DO NOT APPLY THIS PATCH*. Please
ECHO    contact us for upgrade information.    
ECHO.    
ECHO This patch requires the Microsoft Library manager (LIB.EXE) to be in 
ECHO    the path or in the current working directory. 
ECHO. 
ECHO This patch also requires that the library file "SVGAPB.LIB" to be in
ECHO    the current directory.
ECHO. 
ECHO Hit CTRL-C *NOW* to abort the patch if the above conditions are not true.
ECHO. 
PAUSE
ECHO.   
ECHO. 
IF EXIST SVGAPB.PBL GOTO DOIT
ECHO.   
ECHO ERROR: Unable to find the file "SVGAPB.PBL". Make sure this patch is run in the
ECHO    same directory as "SVGAPB.PBL" file.
ECHO.   
GOTO ERROR

:DOIT
COPY SVGAPB.PBL SVGAPB.BKL > NUL
PBLIB < SVGAPB.LRF 
IF NOT ERRORLEVEL 1 GOTO ALLOK
ECHO.   
ECHO ERROR: Some problem with the call to the PBLIB.EXE program. If you are
ECHO    unable to correct it, please contact us (see the file "README.NOW"
ECHO    complete details and contact information).
GOTO ERROR

:ERROR
ECHO Patch was *NOT* installed.
ECHO Batch file terminated.
GOTO ENDPATCH

:ALLOK
ECHO.
ECHO Patch applied correctly!
ECHO.
ECHO No errors. A backup copy of your original "SVGAPB.PBL" file was created
ECHO    as "SVGAPB.BKL".
GOTO ENDPATCH

:ENDPATCH
ECHO.   

